Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87577 - simplest PS/2 mouse is not properly autodetected
Summary: simplest PS/2 mouse is not properly autodetected
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-29 03:38 UTC by Eugene Kanter
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 20:30:03 UTC


Attachments (Terms of Use)

Description Eugene Kanter 2003-03-29 03:38:06 UTC
Description of problem:

Original two button Microsoft PS/2 mouse autodetected as a generic tree button

Comment 1 Jeremy Katz 2003-03-30 19:50:19 UTC
There's no way to differentiate between a two and a three button mouse by probing.

Comment 2 Eugene Kanter 2003-03-31 03:31:20 UTC
I have to agree after reading other sources.
Please be on the safe side and assume these kind of mice as 2 button or at least
select emulate 3 button by default.

Comment 3 Michael Fulbright 2003-04-02 20:30:03 UTC
Well 3 buttons mice have been the norm for ages so thats why we assume 3 button.
I realize that doesn't work for everyone but I think it works for the vast majority.



Note You need to log in before you can comment on or make changes to this bug.